dpp::request_queue::completed_request
queues.h
std::unique_ptr< http_request > std::unique_ptr<http_request> dpp::request_queue::completed_request::request request dpp::request_queue::completed_request::request

Request sent.

std::unique_ptr< http_request_completion_t > std::unique_ptr<http_request_completion_t> dpp::request_queue::completed_request::response response dpp::request_queue::completed_request::response

Response to the request.

A completed request. Contains both the request and the response.

K
T
bool
double
dpp::http_request
endpoint
mimetype
parameters
postdata
protocol
reason
method
file_content
file_mimetypes
file_name
req_headers
waiting
dpp::http_request_completion_t
headers
status
error
body
ratelimit_bucket
ratelimit_limit
ratelimit_remaining
ratelimit_reset_after
ratelimit_retry_after
ratelimit_global
latency
dpp::request_queue::completed_request
request
response
http_error
http_method
std::basic_string< Char >
std::multimap< K, T >
keys
elements
std::multimap< std::string, std::string >
< std::string, std::string >
std::string
std::unique_ptr< T >
ptr
std::unique_ptr< dpp::http_request >
ptr
< dpp::http_request >
std::unique_ptr< dpp::http_request_completion_t >
ptr
< dpp::http_request_completion_t >
std::vector< T >
elements
std::vector< std::string >
elements
< std::string >
uint16_t
uint64_t
- dpp::request_queue::completed_request
  request
- dpp::request_queue::completed_request
  response